<template>
  <ckeditor
      name="content"
      v-bind:placeholder="$t('household_members_editor.positioning.comment_placeholder')"
      :editor="editor"
      v-model="content"
      tag-name="textarea">
  </ckeditor>
</template>

<script>
import CKEditor from '@ckeditor/ckeditor5-vue';
import ClassicEditor from "ChillMainAssets/module/ckeditor5";

export default {
  name: "PersonComment.vue",
  components: {
    ckeditor: CKEditor.component,
  },
  props: ['conc'],
  data() {
    return {
      editor: ClassicEditor,
    }
  },
  computed: {
    content: {
      get() {
        return this.$props.conc.comment || '';
      },
      set(value) {
        console.log('set content', value);
        this.$store.commit('setComment', {conc: this.$props.conc, comment: value})
      }
    }
  }
}
</script>

<style scoped>

</style>
